summaryrefslogtreecommitdiffstats
path: root/source/n/gnupg2/gnupg-2.0.14-encode-s2k.patch
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2010-05-19 08:58:23 +0000
committer Eric Hameleers <alien@slackware.com>2018-05-31 22:43:05 +0200
commitb76270bf9e6dd375e495fec92140a79a79415d27 (patch)
tree3dbed78b2279bf9f14207a16dc634b90995cbd40 /source/n/gnupg2/gnupg-2.0.14-encode-s2k.patch
parent5a12e7c134274dba706667107d10d231517d3e05 (diff)
downloadcurrent-b76270bf9e6dd375e495fec92140a79a79415d27.tar.gz
current-b76270bf9e6dd375e495fec92140a79a79415d27.tar.xz
Slackware 13.1slackware-13.1
Wed May 19 08:58:23 UTC 2010 Slackware 13.1 x86_64 stable is released! Lots of thanks are due -- see the RELEASE_NOTES and the rest of the ChangeLog for credits. The ISOs are on their way to replication, a 6 CD-ROM 32-bit set and a dual-sided 32-bit/64-bit x86/x86_64 DVD. We are taking pre-orders now at store.slackware.com, and offering a discount if you sign up for a subscription. Consider picking up a copy to help support the project. Thanks again to the Slackware community for testing, contributing, and generally holding us to a high level of quality. :-) Enjoy!
Diffstat (limited to 'source/n/gnupg2/gnupg-2.0.14-encode-s2k.patch')
-rw-r--r--source/n/gnupg2/gnupg-2.0.14-encode-s2k.patch65
1 files changed, 65 insertions, 0 deletions
diff --git a/source/n/gnupg2/gnupg-2.0.14-encode-s2k.patch b/source/n/gnupg2/gnupg-2.0.14-encode-s2k.patch
new file mode 100644
index 000000000..26c798ee6
--- /dev/null
+++ b/source/n/gnupg2/gnupg-2.0.14-encode-s2k.patch
@@ -0,0 +1,65 @@
+-----BEGIN PGP SIGNED MESSAGE-----
+Hash: SHA1
+NotDashEscaped: You need GnuPG to verify this message
+
+#! /bin/sh
+patch -p0 -f $* < $0
+exit $?
+
+agent/
+2010-01-26 Werner Koch <wk@g10code.com>
+
+ * protect.c (do_encryption): Encode the s2kcount and do not use a
+ static value of 96.
+
+--- agent/protect.c (revision 5231)
++++ agent/protect.c (working copy)
+@@ -360,19 +360,25 @@
+
+ in canoncical format of course. We use asprintf and %n modifier
+ and dummy values as placeholders. */
+- p = xtryasprintf
+- ("(9:protected%d:%s((4:sha18:%n_8bytes_2:96)%d:%n%*s)%d:%n%*s)",
+- (int)strlen (modestr), modestr,
+- &saltpos,
+- blklen, &ivpos, blklen, "",
+- enclen, &encpos, enclen, "");
+- if (!p)
+- {
+- gpg_error_t tmperr = out_of_core ();
+- xfree (iv);
+- xfree (outbuf);
+- return tmperr;
+- }
++ {
++ char countbuf[35];
++
++ snprintf (countbuf, sizeof countbuf, "%lu", get_standard_s2k_count ());
++ p = xtryasprintf
++ ("(9:protected%d:%s((4:sha18:%n_8bytes_%u:%s)%d:%n%*s)%d:%n%*s)",
++ (int)strlen (modestr), modestr,
++ &saltpos,
++ (unsigned int)strlen (countbuf), countbuf,
++ blklen, &ivpos, blklen, "",
++ enclen, &encpos, enclen, "");
++ if (!p)
++ {
++ gpg_error_t tmperr = out_of_core ();
++ xfree (iv);
++ xfree (outbuf);
++ return tmperr;
++ }
++ }
+ *resultlen = strlen (p);
+ *result = (unsigned char*)p;
+ memcpy (p+saltpos, iv+2*blklen, 8);
+
+-----BEGIN PGP SIGNATURE-----
+Version: GnuPG v2.1.0-svn5201 (GNU/Linux)
+
+iJwEAQECAAYFAktmpLoACgkQU7Yg0BzgxjCj5wQAyZjQbZM77wdcXIgPgeLsG99W
+esWR89/5VM34dY5tOG+McCAiA4/0hl6CYUkkK/394wcfUXbvbZYARPjJg5wMoZsG
+VufEL+Uz+eLgkejYPVakOWzK00i7MHqDSjttOqHg0d8wSiy3LKk6CN6N19uPqxbI
+/1Io5f3gcroLGfEZlN0=
+=oP/V
+-----END PGP SIGNATURE-----